<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_221) on Tue Jan 19 16:20:21 PST 2021 -->
<title>org.apache.nutch.metadata Class Hierarchy (apache-nutch 1.18 API)</title>
<meta name="date" content="2021-01-19">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="org.apache.nutch.metadata Class Hierarchy (apache-nutch 1.18 API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li>Use</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/apache/nutch/indexwriter/solr/package-tree.html">Prev</a></li>
<li><a href="../../../../org/apache/nutch/microformats/reltag/package-tree.html">Next</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/apache/nutch/metadata/package-tree.html" target="_top">Frames</a></li>
<li><a href="package-tree.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 class="title">Hierarchy For Package org.apache.nutch.metadata</h1>
<span class="packageHierarchyLabel">Package Hierarchies:</span>
<ul class="horizontal">
<li><a href="../../../../overview-tree.html">All Packages</a></li>
</ul>
</div>
<div class="contentContainer">
<h2 title="Class Hierarchy">Class Hierarchy</h2>
<ul>
<li type="circle">java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang"><span class="typeNameLink">Object</span></a>
<ul>
<li type="circle">org.apache.hadoop.io.<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/GenericWritable.html?is-external=true" title="class or interface in org.apache.hadoop.io"><span class="typeNameLink">GenericWritable</span></a> (implements org.apache.hadoop.conf.<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/conf/Configurable.html?is-external=true" title="class or interface in org.apache.hadoop.conf">Configurable</a>, org.apache.hadoop.io.<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/Writable.html?is-external=true" title="class or interface in org.apache.hadoop.io">Writable</a>)
<ul>
<li type="circle">org.apache.nutch.util.<a href="../../../../org/apache/nutch/util/GenericWritableConfigurable.html" title="class in org.apache.nutch.util"><span class="typeNameLink">GenericWritableConfigurable</span></a> (implements org.apache.hadoop.conf.<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/conf/Configurable.html?is-external=true" title="class or interface in org.apache.hadoop.conf">Configurable</a>)
<ul>
<li type="circle">org.apache.nutch.crawl.<a href="../../../../org/apache/nutch/crawl/NutchWritable.html" title="class in org.apache.nutch.crawl"><span class="typeNameLink">NutchWritable</span></a>
<ul>
<li type="circle">org.apache.nutch.metadata.<a href="../../../../org/apache/nutch/metadata/MetaWrapper.html" title="class in org.apache.nutch.metadata"><span class="typeNameLink">MetaWrapper</span></a></li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li type="circle">org.apache.nutch.metadata.<a href="../../../../org/apache/nutch/metadata/Metadata.html" title="class in org.apache.nutch.metadata"><span class="typeNameLink">Metadata</span></a> (implements org.apache.nutch.metadata.<a href="../../../../org/apache/nutch/metadata/CreativeCommons.html" title="interface in org.apache.nutch.metadata">CreativeCommons</a>, org.apache.nutch.metadata.<a href="../../../../org/apache/nutch/metadata/DublinCore.html" title="interface in org.apache.nutch.metadata">DublinCore</a>, org.apache.nutch.metadata.<a href="../../../../org/apache/nutch/metadata/Feed.html" title="interface in org.apache.nutch.metadata">Feed</a>, org.apache.nutch.metadata.<a href="../../../../org/apache/nutch/metadata/HttpHeaders.html" title="interface in org.apache.nutch.metadata">HttpHeaders</a>, org.apache.nutch.metadata.<a href="../../../../org/apache/nutch/metadata/Nutch.html" title="interface in org.apache.nutch.metadata">Nutch</a>, org.apache.hadoop.io.<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/Writable.html?is-external=true" title="class or interface in org.apache.hadoop.io">Writable</a>)
<ul>
<li type="circle">org.apache.nutch.metadata.<a href="../../../../org/apache/nutch/metadata/SpellCheckedMetadata.html" title="class in org.apache.nutch.metadata"><span class="typeNameLink">SpellCheckedMetadata</span></a></li>
</ul>
</li>
</ul>
</li>
</ul>
<h2 title="Interface Hierarchy">Interface Hierarchy</h2>
<ul>
<li type="circle">org.apache.nutch.metadata.<a href="../../../../org/apache/nutch/metadata/CreativeCommons.html" title="interface in org.apache.nutch.metadata"><span class="typeNameLink">CreativeCommons</span></a></li>
<li type="circle">org.apache.nutch.metadata.<a href="../../../../org/apache/nutch/metadata/DublinCore.html" title="interface in org.apache.nutch.metadata"><span class="typeNameLink">DublinCore</span></a></li>
<li type="circle">org.apache.nutch.metadata.<a href="../../../../org/apache/nutch/metadata/Feed.html" title="interface in org.apache.nutch.metadata"><span class="typeNameLink">Feed</span></a></li>
<li type="circle">org.apache.nutch.metadata.<a href="../../../../org/apache/nutch/metadata/HttpHeaders.html" title="interface in org.apache.nutch.metadata"><span class="typeNameLink">HttpHeaders</span></a></li>
<li type="circle">org.apache.nutch.metadata.<a href="../../../../org/apache/nutch/metadata/Nutch.html" title="interface in org.apache.nutch.metadata"><span class="typeNameLink">Nutch</span></a></li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li>Use</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/apache/nutch/indexwriter/solr/package-tree.html">Prev</a></li>
<li><a href="../../../../org/apache/nutch/microformats/reltag/package-tree.html">Next</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/apache/nutch/metadata/package-tree.html" target="_top">Frames</a></li>
<li><a href="package-tree.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2021 The Apache Software Foundation</small></p>
</body>
</html>
